#!/bin/bash

topdir=$1
libs=$2
out_dir=$3
time for lib in $libs
do
	dir=$topdir/$lib/Assembly/abyss-1.2.5/merge
	cat $dir/$lib-contigs.fa |awk '{
		if (/>/) {
			sub(/>/, "", $0);
			print ">" "'$lib':" $0;
		} else print;
	}'
done >$out_dir/contigs.fa
echo "time abyss-index -v $out_dir/contigs.fa"
time abyss-index -v $out_dir/contigs.fa

echo "time abyss-map -vd $out_dir/contigs.fa $out_dir/contigs.fa >$out_dir/contigs.path"
time abyss-map -vd $out_dir/contigs.fa $out_dir/contigs.fa >$out_dir/contigs.path

echo "time MergeContigs $out_dir/contigs.fa $out_dir/contigs.path -o $out_dir/contigs-2.fa -k50 -v"
time MergeContigs $out_dir/contigs.fa $out_dir/contigs.path -o $out_dir/contigs-2.fa -k50 -v
